Name:           codespell
Version:        2.2.6
Release:    1%{?dist}
Summary:        Fix common misspellings in text files

License:        GPLv2 and CC-BY-SA
URL:            https://github.com/codespell-project/codespell/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(chardet)
BuildRequires:  python3dist(pytest)

%description
codespell fixes common misspellings in text files. It's designed primarily for
checking misspelled words in source code, but it can be used with other files
as well.

%generate_buildrequires
%pyproject_buildrequires

%prep
%autosetup -n %{name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files codespell_lib

%check
sed -i -e 's/--cov=codespell_lib//' pyproject.toml
sed -i -e 's/--cov-report=//' pyproject.toml
%pytest

%files -f %{pyproject_files}
%doc README.rst
%license COPYING
%{_bindir}/codespell

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.6-1
- initial build
